> For the complete documentation index, see [llms.txt](https://docs.streamavatars.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.streamavatars.com/lua-scripting-api/api-reference-and-tips/classes/app/exportavatarimage.md).

# exportAvatarImage

```lua
return function()
    local app = getApp();
    local user = getUser('clonzeh');
    if user == nil then
        log('user does not exist!');
        return;
    end
    
    --path, filename, user, facingRight, animation, frameOfAnimation, left,right,top,bottom, scale
    app.exportAvatarImage('', 'exportName', user, true, 'sit', 1, 20, 20, 20, 0, 1); 
    --0.5 is the smallest possible size before it starts distorting image quality.
    --0.5,1,2,3,4 are the only possible scales for pixel perfect rendering.

    --left,right,top,bottom is the padding/whitespace around the avatar.
    
    --examples for path are:
    
    --direct path on your PC:   (note: syntax of [[string]] ignores escaped characters \ )
    --app.exportAvatarImage([[C:\Users\your_user\Desktop\avatar_exports]], 'block_man' ... 
    
    --root folder of the script that is running this
    --app.exportAvatarImage('', 'blockman_left_idle', user, false, 'idle' ...
    
    --root folder of the script and creating subfolders
    --app.exportAvatarImage('exportImages/blockman', 'blockman_sit' ...
end
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.streamavatars.com/lua-scripting-api/api-reference-and-tips/classes/app/exportavatarimage.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
